function WeekEnumValue(week) {
  switch(week) {
    case 1: return "@mon"
    case 2: return "@tue"
    case 3: return "@wed"
    case 4: return "@thu"
    case 5: return "@fri"
    case 6: return "@sat"
    case 7: case 0: return "@sun"
    default: return ""
  }
}

function WeekHourEnumValue(week, beginHour, endHour) {
  return WeekEnumValue(week)+beginHour+"-"+endHour
}

const earliestBeginHour = 8
const latestBeginHour = 20

function AllWeekHourEnumValues() {
  const values = []
  //weekday
  for(let day=1; day<=5; day++) {
    //afternoon
    for(let beginHour=13; beginHour<=latestBeginHour; beginHour++) {
      values.push(WeekHourEnumValue(day, beginHour, beginHour+2))
    }
    //morning
    for(let beginHour=earliestBeginHour; beginHour<=12; beginHour++) {
      values.push(WeekHourEnumValue(day, beginHour, beginHour+2))
    }
  }
  //weekend
  for(let day=6; day<=7; day++) {
    for(let beginHour=earliestBeginHour; beginHour<=latestBeginHour; beginHour++) {
      values.push(WeekHourEnumValue(day, beginHour, beginHour+2))
    }
  }

  return values
}

const WeekHour = {
  value: WeekHourEnumValue,
  earliestBeginHour,
  latestBeginHour,
  allValues: AllWeekHourEnumValues
}

module.exports = {
  WeekHour
}