const { Enum } = require("./Enum/Enum")
const { StringMax } = require("./Validator/StringMax")
const { IsDaylightSavingTime } = require("./Utils/Date/DayLightSaving")
const { IsoDateString } = require("./Utils/Date/IsoDateString")
const { DayName, MonthSlashDate,  TwelvehourString} = require("./Utils/Date/Text")
const { IsoDateString2UTC, Now2UTC} = require("./Utils/Date/UTC")
const { UniversityDB } = require("./StaticDB/UniversityDB")
const { IsEmail, IsEmailDomainAllowed} = require("./Validator/General/EmailValidator")
const { IsCourseSubject } = require("./Validator/AcademicMatch/CourseSubjectValidator")
const { IsRole } = require("./Validator/AcademicMatch/RoleValidator")
const DateValidator = require("./Validator/AcademicMatch/DateValidator")
const { IsAffliation } = require("./Validator/Language/AffliationValidator")
const { IsLanguageMatchStatus } = require("./Validator/Language/LanguageMatchStatusValidator")
const { IsLanguage } = require("./Validator/Language/LanguageValidator")
const { IsSemester} = require("./Validator/Language/SemesterValidator")
const { IsYear} = require("./Validator/Language/YearValidator")
const { IsName } = require("./Validator/User/NameValidator")
const { IsPassword } = require("./Validator/User/PasswordValidator")

module.exports = {
  Enum,
  StringMax,
  IsEmail, IsEmailDomainAllowed,
  DateValidator,
  IsCourseSubject,
  IsRole,
  IsDaylightSavingTime,
  IsoDateString,
  DayName, MonthSlashDate, TwelvehourString,
  IsoDateString2UTC, Now2UTC,

  IsAffliation, IsLanguageMatchStatus, IsLanguage, IsSemester, IsYear,

  IsName, IsPassword,

  UniversityDB
}