const { UniversityDB } = require("../../StaticDB/UniversityDB")

const MAX = 50
function IsEmail(value) {
  if(value.length > MAX) return false;
  if(value !== value.trim()) return false
  if(value !== value.toLowerCase()) return false

  const regex = /^[a-zA-Z0-9!#$&_*?^{}~.-]+@([a-zA-Z0-9.-]+)\.[a-zA-Z]+$/
  if(!regex.test(value)) return false
  return true
}

function IsEmailDomainAllowed(value, domain) {
  const domain2 = value.split('@')[1]
  if(!domain2) return false
  if(!UniversityDB[domain2]) return false
  if(domain && domain !== domain2) return false
  return true
}

const EmailValidator = {
  IsEmail,
  IsEmailDomainAllowed
}

module.exports = {
  EmailValidator
}
